package sun.awt.image;

import java.io.FileNotFoundException;
import java.io.BufferedInputStream;
import java.io.FileInputStream;

public class FileImageSource extends InputStreamImageSource
{
    String imagefile;
    
    public FileImageSource(String s) {
        SecurityManager securityManager = System.getSecurityManager();
        if (securityManager != null) {
            securityManager.checkRead(s);
        }
        this.imagefile = s;
    }
    
    @Override
    final boolean checkSecurity(Object o, boolean b) {
        return true;
    }
    
    @Override
    protected ImageDecoder getDecoder() {
        if (this.imagefile == null) {
            return null;
        }
        BufferedInputStream bufferedInputStream;
        try {
            bufferedInputStream = new BufferedInputStream(new FileInputStream(this.imagefile));
        }
        catch (FileNotFoundException ex) {
            return null;
        }
        return super.getDecoder(bufferedInputStream);
    }
}
